/* Verify Follower Leg
 by BARRAGAN <http://barraganstudio.com>
 This example code is in the public domain.

 modified 8 Nov 2013
 by Scott Fitzgerald
 http://www.arduino.cc/en/Tutorial/Sweep

 modified 25 Aug 2021
 by JD Kelly

 This sketch is used to verify servo arm positioning for the follower leg. 
*/

#include <Servo.h>

Servo servo1;                         // create servo object to control the first servo
Servo servo2;                         // create servo object to control the second servo

//change values to update initial and end servo positions
int startPos = 0;                     //set initial position between 0 and 180
int endPos = 180;                     //set end position between 0 and 180

//use to set position or sweep through positions
bool sweep = false;                   //set to false for just intial position, set to true for initial position and sweep

void setup() {
  servo1.attach(9);                   // attaches the first servo on pin 9 to the servo object
  servo2.attach(10);                  // attaches the second servo on pin 10 to the servo object
}

void loop() {
  servo1.write(startPos);             // tell servo1 to go to position in variable 'startPos'
  servo2.write(startPos);             // tell servo2 to go to position in variable 'startPos'
  delay(100);

  if (sweep) {
    //increment from startPos to endPos, if startPos > endPos, you will need to change "pos <= endPos" and "pos += 1" -- how should it be changed?
    for (int pos = startPos; pos <= endPos; pos += 1) {
      servo1.write(pos);              // tell servo1 to go to position in variable 'pos'
      servo2.write(pos);              // tell servo2 to go to position in variable 'pos'
      delay(15);                      // waits 15ms for the servo to reach the position
    }

    //increment from endPos to startPos, if startPos > endPos, you will need to change "pos >= startPos" and "pos -= 1" -- how should it be changed?
    for (int pos = endPos; pos >= startPos; pos -= 1) {
      servo1.write(pos);              // tell servo1 to go to position in variable 'pos'
      servo2.write(pos);              // tell servo2 to go to position in variable 'pos'
      delay(15);                      // waits 15ms for the servo to reach the position
    }
  }
}
